# Generated by Django 2.2.9 on 2019-12-27 16:45

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=100)),
            ],
            options={
                'verbose_name_plural': 'Áreas',
                'ordering': ['nome'],
            },
        ),
        migrations.CreateModel(
            name='Instituicao',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('razao_social', models.CharField(max_length=2000)),
                ('nome_fantasia', models.CharField(blank=True, max_length=2000)),
                ('cnpj', models.CharField(blank=True, max_length=14)),
                ('cep', models.CharField(max_length=9)),
                ('estado', models.CharField(max_length=100)),
                ('municipio', models.CharField(max_length=500)),
                ('endereco', models.CharField(max_length=1000)),
                ('numero', models.CharField(max_length=6)),
                ('tipo_telefone', models.CharField(choices=[('Comercial', 'Comercial'), ('Celular', 'Celular')], max_length=10)),
                ('numero_telefone', models.CharField(max_length=15)),
                ('data_cadastro', models.DateField(auto_now_add=True)),
                ('numero_slots_manha', models.PositiveIntegerField(default=0)),
                ('numero_slots_tarde', models.PositiveIntegerField(default=0)),
                ('numero_slots_noite', models.PositiveIntegerField(default=0)),
                ('tem_aula_manha', models.BooleanField(default=False)),
                ('tem_aula_tarde', models.BooleanField(default=False)),
                ('tem_aula_noite', models.BooleanField(default=False)),
                ('tem_aula_segunda', models.BooleanField(default=False)),
                ('tem_aula_terca', models.BooleanField(default=False)),
                ('tem_aula_quarta', models.BooleanField(default=False)),
                ('tem_aula_quinta', models.BooleanField(default=False)),
                ('tem_aula_sexta', models.BooleanField(default=False)),
                ('tem_aula_sabado', models.BooleanField(default=False)),
                ('ativo', models.BooleanField(default=False)),
                ('saldo', models.FloatField(default=0)),
                ('numero_aulas_maximo_diario_docentes', models.PositiveIntegerField(default=9)),
                ('numero_aulas_maximo_docentes', models.PositiveIntegerField(default=19)),
                ('numero_aulas_maximo_coordenadores', models.PositiveIntegerField(default=10)),
                ('tempo_descanso_interjornada', models.TimeField(default='11:00')),
                ('pode_editar', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name': 'Instituição',
                'verbose_name_plural': 'Instituições',
                'ordering': ('nome_fantasia',),
            },
        ),
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('prontuario', models.CharField(blank=True, max_length=20)),
                ('data_cadastro', models.DateField(auto_now_add=True)),
                ('data_ultimo_acesso', models.DateTimeField(null=True)),
                ('tipo', models.CharField(choices=[('D', 'Docente'), ('TL', 'Técnico Laboratório'), ('TA', 'Técnico Administrativo'), ('FT', 'Funcionário Terceirizado'), ('E', 'Estudante')], max_length=2)),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='usuarios.Area')),
                ('usuario_django', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
